OpenVDB: NodeAccessor< GridT > Class Template Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Attributes | List of all members
NodeAccessor< GridT > Class Template Reference

The NodeAccessor provides a uniform API for accessing nodes got NanoVDB, OpenVDB and build Grids. More...

`#include <nanovdb/util/CreateNanoGrid.h>`

## Public Types
using | BuildType = typename GridT::BuildType
using | ValueType = typename GridT::ValueType
using | GridType = GridT
using | TreeType = typename GridT::TreeType
using | RootType = typename TreeType::RootNodeType
template<int LEVEL>
using | NodeType = typename NodeTrait< const TreeType, LEVEL >::type

## Public Member Functions
| NodeAccessor (const GridT &grid)
const GridType & | grid () const
const TreeType & | tree () const
const RootType & | root () const
uint64_t | nodeCount (int level) const
template<int LEVEL>
const NodeType< LEVEL > & | node (uint32_t i) const
const std::string & | getName () const
bool | hasLongGridName () const
const nanovdb::Map & | map () const
GridClass | gridClass () const

## Static Public Attributes
static constexpr bool | IS_OPENVDB = false
static constexpr bool | IS_NANOVDB = false

## Detailed Description

template<typename GridT>
class nanovdb::NodeAccessor< GridT >

The NodeAccessor provides a uniform API for accessing nodes got NanoVDB, OpenVDB and build Grids.

Note
  General implementation that works with nanovdb::build::Grid

## Member Typedef Documentation

## ◆ BuildType

template<typename GridT >

using BuildType = typename GridT::BuildType

## ◆ GridType

template<typename GridT >

using GridType = GridT

## ◆ NodeType

template<typename GridT >
template<int LEVEL>

using NodeType = typename NodeTrait<const TreeType, LEVEL>::type

## ◆ RootType

template<typename GridT >

using RootType = typename TreeType::RootNodeType

## ◆ TreeType

template<typename GridT >

using TreeType = typename GridT::TreeType

## ◆ ValueType

template<typename GridT >

using ValueType = typename GridT::ValueType

## Constructor & Destructor Documentation

## ◆ NodeAccessor()

template<typename GridT >

NodeAccessor | ( | const GridT & | grid | ) |
| inline

## Member Function Documentation

## ◆ getName()

template<typename GridT >

const std::string & getName | ( |  | ) | const
| inline

## ◆ grid()

template<typename GridT >

const GridType & grid | ( |  | ) | const
| inline

## ◆ gridClass()

template<typename GridT >

GridClass gridClass | ( |  | ) | const
| inline

## ◆ hasLongGridName()

template<typename GridT >

bool hasLongGridName | ( |  | ) | const
| inline

## ◆ map()

template<typename GridT >

const nanovdb::Map & map | ( |  | ) | const
| inline

## ◆ node()

template<typename GridT >
template<int LEVEL>

const NodeType< LEVEL > & node | ( | uint32_t | i | ) | const
| inline

## ◆ nodeCount()

template<typename GridT >

uint64_t nodeCount | ( | int | level | ) | const
| inline

## ◆ root()

template<typename GridT >

const RootType & root | ( |  | ) | const
| inline

## ◆ tree()

template<typename GridT >

const TreeType & tree | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ IS_NANOVDB

template<typename GridT >

constexpr bool IS_NANOVDB = false
| staticconstexpr

## ◆ IS_OPENVDB

template<typename GridT >

constexpr bool IS_OPENVDB = false
| staticconstexpr